Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::TLS::BotanAlertCategory Struct Reference

An error category for TLS alerts. More...

`#include <asio_error.h>`

Inheritance diagram for Botan::TLS::BotanAlertCategory:

## Public Member Functions
std::string | message (int ev) const override
const char * | name () const noexceptoverride

## Detailed Description

An error category for TLS alerts.

Definition at line 27 of file asio_error.h.

## Member Function Documentation

std::string Botan::TLS::BotanAlertCategory::message | ( | int | ev | ) | const
| inline override

Definition at line 34 of file asio_error.h.

References Botan::TLS::Alert::type_string().

35 {
36 Botan::TLS::Alert alert(static_cast<Botan::TLS::Alert::Type>(ev));
37 return alert.type_string();
38 }
Botan::TLS::Alert
Definition: tls_alert.h:21

const char* Botan::TLS::BotanAlertCategory::name | ( |  | ) | const
| inline override noexcept

Definition at line 29 of file asio_error.h.

30 {
31 return "asio.botan.tls.alert";
32 }

The documentation for this struct was generated from the following file:

- src/lib/tls/asio/asio_error.h